﻿#!/bin/sh
#
#    Licensed Materials - Property of IBM
#
#   "Restricted Materials of IBM"
#
#    5724-U38, 5724-U39, 5724-U48
#
#     Copyright IBM Corp. 1998, 2018 All Rights Reserved
#
#     Copyright 2018 UNICOM Systems, Inc. - All Rights Reserved
#
#    US Government Users Restricted Rights - Use, duplication or
#    disclosure restricted by GSA ADP Schedule Contract with
#    IBM Corp.
#
#ident  "@(#)rtedit      1.1     05/22/2006 RLS"

# Usage: rtedit file_to_edit
# First check that a file was passed in to edit
[ $# -lt 1 ] && exit 1

# Check if we can determine the terminal command.
type dtterm > /dev/null 2>&1
if [ $? -eq 0 ]
then
   _RTTERM=dtterm
else
   type xterm > /dev/null 2>&1
   if [ $? -eq 0 ]
   then
      _RTTERM=xterm
   else
      type gnome-terminal > /dev/null 2>&1
      if [ $? -eq 0 ]
      then
        _RTTERM=gnome-terminal
      else
          type konsole > /dev/null 2>&1
          if [ $? -eq 0 ]
          then
            _RTTERM=konsole
          else
            echo "A terminal emulator can not be found."
            exit 1
          fi
      fi
  fi
fi

# Next check if the EDITOR environment can be resolved.
if [ ! -z "${EDITOR}" ]; then
  _RTEDIT=${EDITOR:-vi}
else
   type gedit > /dev/null 2>&1
   if [ $? -eq 0 ]
   then
      _RTEDIT=gedit
   else
       type vim > /dev/null 2>&1
       if [ $? -eq 0 ]
       then
          _RTEDIT=vim
       else
           type dtpad > /dev/null 2>&1
           if [ $? -eq 0 ]
           then
              _RTEDIT=dtpad
           else
               type vi > /dev/null 2>&1
               if [ $? -eq 0 ]
               then
                  _RTEDIT=vi
               else
                  echo "An editor can not be found."
                  exit 1
               fi
           fi
       fi
   fi
fi

# Echo the syntax being used
echo $_RTTERM -e "$_RTEDIT $1"
$_RTTERM -e "$_RTEDIT $1" &
exit $?

